Page MenuHomePhabricator

TemplateData module is loaded too often
Closed, ResolvedPublic

Description

"ext.templateDataGenerator.ui" is loaded whenever VE is loaded, and on every edit page, which is wasteful

Event Timeline

Esanders created this task.Nov 5 2018, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2018, 7:24 PM

Change 473526 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/TemplateData@master] Move editPage->editTemplatePage, create minimal editTemplatePage

https://gerrit.wikimedia.org/r/473526

Esanders claimed this task.Nov 14 2018, 2:50 PM
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 473526 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Rename module editPage→editTemplatePage, create minimal new editPage module

https://gerrit.wikimedia.org/r/473526

Copying solution from gerrit: VisualEditorPluginModules loads whenever VE loads, so this fix creates a minimal loader page to check if we are in the template namespace before loading the rest of the TemplateData init code.

Krinkle added a subscriber: Krinkle.

This appears to have been resolved. Is that correct?

Krinkle closed this task as Resolved.Jan 9 2019, 8:09 PM